/*
 * Java
 *
 * Copyright 2016-2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand;

import ej.wadapps.admin.Application;
import ej.wadapps.admin.ApplicationOperationException;

/**
 *
 */
public class StartCommand extends LifeCycleCommand {

	/**
	 */
	public StartCommand() {
		super(CommandConstants.START_APPLICATION, CommandConstants.START_APPLICATION_SUCCESS,
				CommandConstants.START_APPLICATION_ERROR);
	}

	@Override
	protected void lifeCycleOperation(Application application)
			throws IllegalStateException, SecurityException, ApplicationOperationException {
		application.start();
	}

}
