/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.data.channel;

import ej.kf.Proxy;

class DataChannelProviderProxy extends Proxy<DataChannelProvider> implements DataChannelProvider{

	private static final String DEFAULT_ID = "Unknown";

	@Override
	public String getID() {
		try{ return (String)invokeRef(); }
		catch(Throwable e){
			return DEFAULT_ID;
		}
	}

	@Override
	public DataChannel newChannel(String name) {
		try{ return (DataChannel)invokeRef(); }
		catch(Throwable e){
			return null;
		}
	}

}
