# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 3.6.0 - 2021-04-26

### Changed

  - Marked APIs with annotations for Null Analysis.

## 3.5.0 - 2020-12-09

### Added

  - Update edc dependency to 1.3.3.
  - Update mqttv3-microej dependency to 1.8.0.

## 3.4.0 - 2020-08-17

### Added

  - Update edc dependency to 1.3.2.
  - Update mqttv3-microej dependency to 1.7.0.

## 3.3.0 - 2020-08-12

### Added

  - Update mqttv3-microej dependency to 1.6.0.

## 3.2.0 - 2019-03-25

### Changed

  - Use MMM.
  
## 3.1.0 - 2018-10-08

### Added

  - J0203CDC-114 Update `mqttv3-microej` dependency.

## 3.0.0 - 2017-01-19

### Fixed

  - WI18619 rename CertifacteProvider to CertificateProvider

## 2.2.1 - 2016-10-14

### Added

  - Remove trace.

## 2.2.0 - 2016-10-14

### Added

  - WI17660 Use the service loader factory to find an implementation of CertificateProvider.

## 2.1.0 - 2016-09-05

### Added

  - WI17218 Allow to override the certificates used by the SSLSocketFactory.

## 2.0.0 - 2016-07-17

### Added

  - WI17269 Remove duplicated code.
  
## 1.0.0 - 2016-06-30

Test passed
  
## 0.1.0 - 2016-04-27

### Added

  - Initial revision.

---
_Copyright 2016-2021 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  